commit:     e28baf3e1f82c7d88960073294bf84d1c6efeb3f
Author:     Andrew Savchenko <bircoph <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 24 08:06:25 2023 +0000
Commit:     Andrew Savchenko <bircoph <AT> gentoo <DOT> org>
CommitDate: Fri Mar 24 08:06:25 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e28baf3e

dev-python/pygame_sdl2: add 8.0.3

Bug: https://bugs.gentoo.org/892347
Signed-off-by: Andrew Savchenko <bircoph <AT> gentoo.org>

 dev-python/pygame_sdl2/Manifest                 |  1 +
 dev-python/pygame_sdl2/pygame_sdl2-8.0.3.ebuild | 45 +++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/dev-python/pygame_sdl2/Manifest b/dev-python/pygame_sdl2/Manifest
index 2c1ae61b091d..79c3f479702c 100644
--- a/dev-python/pygame_sdl2/Manifest
+++ b/dev-python/pygame_sdl2/Manifest
@@ -1 +1,2 @@
 DIST pygame_sdl2-2.1.0-for-renpy-7.3.5.tar.gz 2678274 BLAKE2B 
537e63a7e4755f6fea20f4ceec065272b83879958a0a794780b8976877aa083a2a9bc1b8b4a4592accaeb59dbeeac480d75965291ddbff324aea5c90d7dbcfc0
 SHA512 
b58a57d70efdfcea066735e3681047bec4fc89a9b75e423f5f889cd29f89a25bd0b96fcbca17578958b677e44858aafc9c6b17aad54dae640640bb7eb54cddbd
+DIST pygame_sdl2-2.1.0-for-renpy-8.0.3.tar.gz 4053740 BLAKE2B 
607e9c587734a5d53f25ff7537b308eade273f97065e81166bbace9ca255adfda0bef23f05d9fcb370c96d7eeb6175a6b649b0b07727b027ed2b43506dc876c6
 SHA512 
135779d4de6e2bc8ade069c11d521dd0dc2bebae6dc63a374d478785fe7534626e9dc3c7f8f50c3291f4a60b26eb474c14e3971f0b9487215125bbcd5af6782c

diff --git a/dev-python/pygame_sdl2/pygame_sdl2-8.0.3.ebuild 
b/dev-python/pygame_sdl2/pygame_sdl2-8.0.3.ebuild
new file mode 100644
index 000000000000..d1b95dfb311c
--- /dev/null
+++ b/dev-python/pygame_sdl2/pygame_sdl2-8.0.3.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+inherit distutils-r1
+
+PYSDL="${PN}-2.1.0"
+
+DESCRIPTION="Reimplementation of portions of the pygame API using SDL2"
+HOMEPAGE="https://github.com/renpy/pygame_sdl2";
+SRC_URI="https://www.renpy.org/dl/${PV}/${PYSDL}-for-renpy-${PV}.tar.gz";
+
+LICENSE="LGPL-2.1 ZLIB"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+BDEPEND="
+       dev-python/cython[${PYTHON_USEDEP}]"
+DEPEND="
+       dev-python/numpy[${PYTHON_USEDEP}]
+       media-libs/libjpeg-turbo:=
+       media-libs/libpng:0=
+       media-libs/libsdl2:=[video]
+       media-libs/sdl2-image:=[png,jpeg]
+       >=media-libs/sdl2-mixer-2.0.2:=
+       media-libs/sdl2-ttf:=
+"
+RDEPEND="${DEPEND}"
+
+S=${WORKDIR}/${PYSDL}-for-renpy-${PV}
+
+python_prepare_all() {
+       # PyGame distribution for this version has some pregenerated files;
+       # we need to remove them
+       rm -r gen{,3,-static} || die
+
+       # Fix tag name according to PEP 440
+       sed -i 's/-for-renpy-/+renpy/' setup.cfg || die
+
+       distutils-r1_python_prepare_all
+}

Reply via email to